Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Dec 13 13:54

    choco-bot on gh-pages

    AppVeyor Publish: 37873ee8f8415… (compare)

  • Dec 13 13:48

    gep13 on develop

    (doc) Add note callouts where r… (doc) Altered structure of user… (doc) Added info to the About U… and 6 more (compare)

  • Dec 12 12:47
    gep13 commented #719
  • Dec 12 12:47
    gep13 commented #720
  • Dec 12 12:46
    gep13 commented #595
  • Dec 12 12:46
    gep13 edited #719
  • Dec 12 12:46
    gep13 labeled #719
  • Dec 12 12:46
    gep13 edited #720
  • Dec 12 12:45
    gep13 labeled #720
  • Dec 12 12:00
    opusforlife2 edited #719
  • Dec 12 11:58
    opusforlife2 commented #595
  • Dec 12 11:57
    opusforlife2 opened #720
  • Dec 12 11:53
    opusforlife2 opened #719
  • Dec 12 11:28

    choco-bot on gh-pages

    AppVeyor Publish: 32c0357e6edd1… (compare)

  • Dec 12 11:22

    gep13 on develop

    (doc) Add docs for default tile… (doc) Add info about use delaye… (doc) Add docs about exclude in… and 5 more (compare)

  • Dec 12 08:08
    gep13 commented #595
  • Dec 12 00:33
    BananaAcid commented #595
  • Dec 11 21:53
    opusforlife2 commented #595
  • Dec 11 16:38

    gep13 on develop

    (doc) Added information about f… (doc) Add info about default lo… (compare)

  • Dec 11 14:36

    choco-bot on gh-pages

    AppVeyor Publish: 1d34c991187a5… (compare)

Kim J. Nordmo
@AdmiringWorm
@kimcdow you're welcome
Joshua
@linuxUsr118
Any suggestion, from anyhow, about clearing Chocolatey's library of (now) uninstalled programmes?
Gary Ewan Park
@gep13
@linuxUsr118 there is nothing OOTB in the OSS edition's that will do this for you. The package sync feature in the licensed version: https://chocolatey.org/pricing may have part of what you are looking for.
Joshua
@linuxUsr118
Damnit. Anyhow, thank you; don't know how I over-looked that.
Oh, I meant to ask as well; I'm not able to install two specific packages (which only Christ knows why) - uTorrent (which makes no sense), and Adobe Reader.
Gary Ewan Park
@gep13
@linuxUsr118 do you get errors when you try to install them? Have you tried installing directly through Chocolatey, rather than through ChocolateyGUI?
Joshua
@linuxUsr118
I install them via directly through Chocolatey; it shows the programme as being installed, but when I switch to a non-Admin account, the prograrmme doesn't show.
Gary Ewan Park
@gep13
ah, so what you are touching on is another feature of the licensed version:
perhaps @ferventcoder can add some more information here
Joshua
@linuxUsr118
Well, I just had one problem solved; forced a reinstall.
Gary Ewan Park
@gep13
:+1:
George.IO
@Geogboe
(First time in this chat, sorry if this is bad etiquette :smile: ) Have you all every considered using the Electron desktop app framework for Chocolatey GUI? While it'll make the app a little heavier I feel like it might be easier to go cross platform in the long run which I get the feeling Choco wants to do. Plus apps really look clean and nice looking.
Joshua
@linuxUsr118
Meant to ask; is there any option for manually entering where one can choose to do an install?
@Geogboe: I have not considered that. Thank you.
Gary Ewan Park
@gep13
@Geogboe hello, and welcome.
The chocolatiest bot this side of the Mississippi
@choco-bot
Good day, Gary Ewan Park (gep13)
George.IO
@Geogboe
@gep13 Thanks! Glad to been here
Gary Ewan Park
@gep13
no, haven't considered doing that yet. That is not to say that we won't, but for now, the focus is on Windows, and using WPF.
@linuxUsr118 sorry, not sure I follow your question. Can you elaborate?
Joshua
@linuxUsr118
When doing an install, can I tell (or type in) where I want chocolatey to install a programme?
Gary Ewan Park
@gep13
ah, so you are asking for that to be exposed within ChocolateyGUI, right?
Joshua
@linuxUsr118
Yes, I think.
I have a weird feeling that all my answers have been staring me right in the face.
Gary Ewan Park
@gep13
I believe we have an open issue for what you are asking for, but if we don't then this should definitely be added
could I ask that you check, and if not there, add an issue? Thanks!
Joshua
@linuxUsr118
Thank you.
Richard Simpson
@RichiCoder1
@Geogboe I'm a big fan of Electron, but at least right now Chocolatey is Windows only, and so WPF just makes more sense. Easy development and delpoyment, and easy interop with Choco's C# API.
Ironically moving to Electron wouldn't make Choco that much heaver as we're already shipping CEF for markdown (and some other item) support.
Manfred Wallner
@mwallner
hey @RichiCoder1 @ferventcoder how's the status on chocolatey/ChocolateyGUI#436 ? - I think this would be great to have in 0.15 .. :-)
Rob Reynolds
@ferventcoder
I think it is necessary :D
George.IO
@Geogboe
@RichiCoder1 Thanks for the insight!
Richard Simpson
@RichiCoder1
@ferventcoder Are you going to integrate those changes, or should I tackle that?
Rob Reynolds
@ferventcoder
I will provide a fix in the next few days - if you can get to it sooner, :D
Richard Simpson
@RichiCoder1
Baring any surprises, it should be be trivial to swap :). I'll see if I can knock it out later today.
Manfred Wallner
@mwallner
:sparkles:
Richard Simpson
@RichiCoder1
@ferventcoder Those changes were in 0.16+ right?
Manfred Wallner
@mwallner
0.10.6+ I guess @RichiCoder1
Richard Simpson
@RichiCoder1
Derp. Yes.
Rob Reynolds
@ferventcoder
@RichiCoder1++
The chocolatiest bot this side of the Mississippi
@choco-bot
richicoder1 gained a level! (Karma: 9)
Richard Simpson
@RichiCoder1
Gotta love green builds :)
(not that our builds do that much currently admittedly)
Manfred Wallner
@mwallner
I've discovered some really stupid inconsistencies in the german translation of the current develop-branch .. will fix tonight/tomorrow!
(I am allowed to call them "stupid" as I'm the author of them :D)
@RichiCoder1 - please wait for the upcoming PR before considering the 0.15 release
In addition to that, the ChocolateyGUI solution cannot be built when a global nuget library path is specified - copying the correc packages to source/packages fixed the problem temporarily - but I guess there are some relative include directives/paths somewhere pointing to ../packages/...
Richard Simpson
@RichiCoder1
@mwallner Yup yup. I think StyleCop, CEF, and another package depend on relative paths and targets.
Manfred Wallner
@mwallner
hey @RichiCoder1 - the current /develop GUI fails to pull the current version of packages: